=== modified file 'drizzled/Makefile.am'
--- drizzled/Makefile.am	2009-08-05 07:25:08 +0000
+++ drizzled/Makefile.am	2009-08-05 09:10:29 +0000
@@ -248,7 +248,6 @@
 		lex_input_stream.h \
 		lex_string.h \
 		lex_symbol.h \
-		listen.h \
 		lock.h \
 		logging.h \
 		lookup_symbol.h \
@@ -301,6 +300,7 @@
 		session.h \
 		set_var.h \
 		show.h \
+		slot/listen.h \
 		sql_alloc.h \
 		sql_array.h \
 		sql_base.h \
@@ -559,7 +559,6 @@
 		join_table.cc \
 		key.cc \
 		key_map.cc \
-		listen.cc \
 		lock.cc \
 		logging.cc \
 		lookup_symbol.cc \
@@ -577,6 +576,7 @@
 		session.cc \
 		set_var.cc \
 		show.cc \
+		slot/listen.cc \
 		sql_base.cc \
 		sql_delete.cc \
 		sql_derived.cc \

=== modified file 'drizzled/drizzled.cc'
--- drizzled/drizzled.cc	2009-08-05 08:52:52 +0000
+++ drizzled/drizzled.cc	2009-08-05 09:10:29 +0000
@@ -44,7 +44,7 @@
 #include <drizzled/unireg.h>
 #include <drizzled/scheduling.h>
 #include "drizzled/temporal_format.h" /* For init_temporal_formats() */
-#include <drizzled/listen.h>
+#include "drizzled/slot/listen.h"
 
 #include <google/protobuf/stubs/common.h>
 
@@ -398,6 +398,7 @@
 drizzled::atomic<uint32_t> refresh_version;  /* Increments on each reload */
 
 /* Function declarations */
+bool drizzle_rm_tmp_tables(drizzled::slot::Listen &listen_handler);
 
 extern "C" pthread_handler_t signal_hand(void *arg);
 static void drizzle_init_variables(void);

=== modified file 'drizzled/plugin_registry.cc'
--- drizzled/plugin_registry.cc	2009-08-05 08:52:52 +0000
+++ drizzled/plugin_registry.cc	2009-08-05 09:10:29 +0000
@@ -29,7 +29,7 @@
 #include "drizzled/scheduling.h"
 #include "drizzled/logging.h"
 #include "drizzled/sql_udf.h"
-#include "drizzled/listen.h"
+#include "drizzled/slot/listen.h"
 #include "drizzled/replication_services.h"
 
 #include <string>

=== modified file 'drizzled/plugin_registry.h'
--- drizzled/plugin_registry.h	2009-08-05 08:52:52 +0000
+++ drizzled/plugin_registry.h	2009-08-05 09:10:29 +0000
@@ -20,7 +20,7 @@
 #ifndef DRIZZLED_PLUGIN_REGISTRY_H
 #define DRIZZLED_PLUGIN_REGISTRY_H
 
-#include "drizzled/listen.h"
+#include "drizzled/slot/listen.h"
 
 #include <string>
 #include <vector>
@@ -92,7 +92,7 @@
   void remove(drizzled::plugin::Replicator *replicator);
   void remove(drizzled::plugin::Applier *applier);
 
-  drizzled::ListenHandler listen;
+  drizzled::slot::Listen listen;
 };
 
 #endif /* DRIZZLED_PLUGIN_REGISTRY_H */

=== modified file 'drizzled/server_includes.h'
--- drizzled/server_includes.h	2009-08-05 05:46:11 +0000
+++ drizzled/server_includes.h	2009-08-05 09:10:29 +0000
@@ -49,8 +49,6 @@
 /* Routines for printing error messages */
 #include <drizzled/errmsg_print.h>
 
-#include <drizzled/listen.h>
-
 #include <string>
 #include <sstream>
 #include <bitset>
@@ -62,7 +60,6 @@
 
 /* drizzled.cc */
 void refresh_status(Session *session);
-bool drizzle_rm_tmp_tables(drizzled::ListenHandler &listen_handler);
 void unlink_session(Session *session);
 
 /* item_func.cc */

=== added directory 'drizzled/slot'
=== renamed file 'drizzled/listen.cc' => 'drizzled/slot/listen.cc'
--- drizzled/listen.cc	2009-08-05 08:52:52 +0000
+++ drizzled/slot/listen.cc	2009-08-05 09:10:29 +0000
@@ -18,7 +18,7 @@
  */
 
 #include <drizzled/server_includes.h>
-#include <drizzled/listen.h>
+#include "drizzled/slot/listen.h"
 #include "drizzled/plugin_registry.h"
 #include <drizzled/gettext.h>
 #include <drizzled/error.h>
@@ -30,16 +30,16 @@
 using namespace drizzled;
 
 /* This is needed for the plugin registry interface. */
-static ListenHandler *_default_listen_handler= NULL;
+static slot::Listen *_default_listen_handler= NULL;
 
-ListenHandler::ListenHandler(): fd_list(NULL), fd_count(0)
+slot::Listen::Listen(): fd_list(NULL), fd_count(0)
 {
-  /* Don't allow more than one ListenHandler to be created for now. */
+  /* Don't allow more than one slot::Listen to be created for now. */
   assert(_default_listen_handler == NULL);
   _default_listen_handler= this;
 }
 
-ListenHandler::~ListenHandler()
+slot::Listen::~Listen()
 {
   if (fd_list != NULL)
     free(fd_list);
@@ -48,12 +48,12 @@
   _default_listen_handler= NULL;
 }
 
-void ListenHandler::add(const plugin::Listen &listen_obj)
+void slot::Listen::add(const plugin::Listen &listen_obj)
 {
   listen_list.push_back(&listen_obj);
 }
 
-void ListenHandler::remove(const plugin::Listen &listen_obj)
+void slot::Listen::remove(const plugin::Listen &listen_obj)
 {
   listen_list.erase(::std::remove(listen_list.begin(),
                                   listen_list.end(),
@@ -61,7 +61,7 @@
                     listen_list.end());
 }
 
-bool ListenHandler::bindAll(const char *host, uint32_t bind_timeout)
+bool slot::Listen::bindAll(const char *host, uint32_t bind_timeout)
 {
   vector<const plugin::Listen *>::iterator it;
   int ret;
@@ -256,7 +256,7 @@
   return false;
 }
 
-plugin::Protocol *ListenHandler::getProtocol(void) const
+plugin::Protocol *slot::Listen::getProtocol(void) const
 {
   int ready;
   uint32_t x;
@@ -344,13 +344,13 @@
   }
 }
 
-plugin::Protocol *ListenHandler::getTmpProtocol(void) const
+plugin::Protocol *slot::Listen::getTmpProtocol(void) const
 {
   assert(listen_list.size() > 0);
   return listen_list[0]->protocolFactory();
 }
 
-void ListenHandler::wakeup(void)
+void slot::Listen::wakeup(void)
 {
   ssize_t ret= write(wakeup_pipe[1], "\0", 1);
   assert(ret == 1);

=== renamed file 'drizzled/listen.h' => 'drizzled/slot/listen.h'
--- drizzled/listen.h	2009-08-05 08:52:52 +0000
+++ drizzled/slot/listen.h	2009-08-05 09:10:29 +0000
@@ -17,8 +17,8 @@
  *  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
  */
 
-#ifndef DRIZZLED_LISTEN_H
-#define DRIZZLED_LISTEN_H
+#ifndef DRIZZLED_SLOT_LISTEN_H
+#define DRIZZLED_SLOT_LISTEN_H
 
 #include <drizzled/plugin/listen.h>
 #include <drizzled/plugin/protocol.h>
@@ -28,11 +28,13 @@
 
 namespace drizzled
 {
+namespace slot
+{
 
 /**
  * Class to handle all Listen plugin objects.
  */
-class ListenHandler
+class Listen
 {
 private:
   std::vector<const drizzled::plugin::Listen *> listen_list;
@@ -42,8 +44,8 @@
   int wakeup_pipe[2];
 
 public:
-  ListenHandler();
-  ~ListenHandler();
+  Listen();
+  ~Listen();
 
   /**
    * Add a new Listen object to the list of listeners we manage.
@@ -79,10 +81,11 @@
   void wakeup(void);
 };
 
+} /* end namespace slot */
 
 /* Convenience function for signal handlers. */
 void listen_abort(void);
 
 } /* end namespace drizzled */
 
-#endif /* DRIZZLED_LISTEN_H */
+#endif /* DRIZZLED_SLOT_LISTEN_H */

=== modified file 'drizzled/sql_base.cc'
--- drizzled/sql_base.cc	2009-08-05 05:46:11 +0000
+++ drizzled/sql_base.cc	2009-08-05 09:10:29 +0000
@@ -44,7 +44,7 @@
 #include <drizzled/replication_services.h>
 #include <drizzled/check_stack_overrun.h>
 #include <drizzled/lock.h>
-#include <drizzled/listen.h>
+#include <drizzled/slot/listen.h>
 #include <mysys/cached_directory.h>
 
 using namespace std;
@@ -52,6 +52,8 @@
 
 extern drizzled::ReplicationServices replication_services;
 
+bool drizzle_rm_tmp_tables(slot::Listen &listen_handler);
+
 /**
   @defgroup Data_Dictionary Data Dictionary
   @{
@@ -4761,7 +4763,7 @@
 }
 
 
-bool drizzle_rm_tmp_tables(ListenHandler &listen_handler)
+bool drizzle_rm_tmp_tables(slot::Listen &listen_handler)
 {
   char	filePath[FN_REFLEN], filePathCopy[FN_REFLEN];
   Session *session;

